import { Address, Platform, UniversalAddress } from "@wormhole-foundation/connect-sdk";
import { AnySuiAddress } from "./types";
export declare const SuiZeroAddress = "0x";
export declare function ensureFullSuiAddress(address: string): string;
export declare class SuiAddress implements Address {
    static readonly byteSize = 32;
    readonly platform: Platform;
    readonly address: Uint8Array;
    readonly module: string | undefined;
    constructor(address: AnySuiAddress);
    unwrap(): string;
    toString(): string;
    toNative(): this;
    toUint8Array(): Uint8Array;
    toUniversalAddress(): UniversalAddress;
    static instanceof(address: any): address is SuiAddress;
    equals(other: SuiAddress | UniversalAddress): boolean;
}
declare global {
    namespace Wormhole {
        interface PlatformToNativeAddressMapping {
            Sui: SuiAddress;
        }
    }
}
//# sourceMappingURL=address.d.ts.map